Name: mm
Version: 1.0.12
Release: 1
Copyright: 1999 Ralf S. Engelschall
Source:	%{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root
# --------------------------------------------------------------------
Summary: MM - Shared Memory Library
Group: Libraries
%description
The MM library is a 2-layer abstraction library which simplifies the usage
of shared memory between forked (and this way strongly related) processes
under Unix platforms. On the first (lower) layer it hides all platform
dependent implementation details (allocation and locking) when dealing with
shared memory segments and on the second (higher) layer it provides a
high-level malloc(3)-style API for a convenient and well known way to work
with data-structures inside those shared memory segments. 

%package -n %{name}-devel
Summary: MM - Shared Memory Library
Group: Libraries required for development
%description -n %{name}-devel
Libraries required for development
# --------------------------------------------------------------------
%prep
if [ "X" != "X$RPM_BUILD_ROOT" ]; then
  rm -fr $RPM_BUILD_ROOT
fi
%setup -n %{name}-%{version}

%build
./configure --prefix=$RPM_BUILD_ROOT/usr
make

%install
make install
find $RPM_BUILD_ROOT -type f | sed -e "s|$RPM_BUILD_ROOT||" | grep -e '\.h$' -e '\.a$' > %{name}-devel.files
(find $RPM_BUILD_ROOT -type f | sed -e "s|$RPM_BUILD_ROOT||"; cat %{name}-devel.files) | sort | uniq -u > %{name}.files

%files -f %{name}.files

%files -n %{name}-devel -f %{name}-devel.files

%clean
#rm -fr $RPM_BUILD_ROOT
# --------------------------------------------------------------------
%post
/sbin/ldconfig
# --------------------------------------------------------------------
%changelog
* Fri Nov 19 1999 Ki-ichiroh Naka <knaka@turbolinux.co.jp>
- 1.0.12-1
- new package
